Skip to content
Start here

Fetch summary of transcripts for a session

client.RealtimeKit.Sessions.GetSessionSummary(ctx, appID, sessionID, query) (*SessionGetSessionSummaryResponse, error)
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/summary

Returns a Summary URL to download the Summary of Transcripts for the session ID as plain text.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
sessionID string
query SessionGetSessionSummaryParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type SessionGetSessionSummaryResponse struct{…}
Data SessionGetSessionSummaryResponseDataoptional
SessionID string
SummaryDownloadURL string

URL where the summary of transcripts can be downloaded

SummaryDownloadURLExpiry string

Time of Expiry before when you need to download the csv file.

Success booloptional

Fetch summary of transcripts for a session

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Sessions.GetSessionSummary(
    context.TODO(),
    "app_id",
    "session_id",
    realtime_kit.SessionGetSessionSummaryParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "sessionId": "sessionId",
    "summaryDownloadUrl": "summaryDownloadUrl",
    "summaryDownloadUrlExpiry": "summaryDownloadUrlExpiry"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "sessionId": "sessionId",
    "summaryDownloadUrl": "summaryDownloadUrl",
    "summaryDownloadUrlExpiry": "summaryDownloadUrlExpiry"
  },
  "success": true
}